Name:           qtemu
Version:        1.0.3
Release:        %mkrel 2
Summary:        Graphical user interface for QEMU
Group:          Emulators
License:        GPL
URL:            http://qtemu.org
Source0:        http://downloads.sf.net/qtemu/%{name}-%{version}.tar.bz2
Source10:	qtemu.png
Source11:	qtemu.16.png
Source12:	qtemu.48.png
Patch1:		qtemu-fix-compile-qt4.1.patch
Patch2:		qtemu-qemu-accelerators.patch
Source2:	processor.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

# Keep archs in sync with qemu:
ExclusiveArch:  %{ix86}
BuildRequires:  qt4-devel
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  qt4-linguist
Requires:       qemu

%description
QtEmu is a graphical user interface for QEMU written in Qt4.

%prep
%setup -q -n %{name}
%patch1 -p1 -b .fix-compile-qt4.1
%patch2 -p1 -b .qemu-accelerators
cp %{SOURCE2} images/

sed -i -e \
    's|QCoreApplication::applicationDirPath()|QString("%{_datadir}/qtemu")|g' \
    helpwindow.cpp main.cpp


%build
mkdir objs
cd objs

export PATH=/usr/lib/qt4/bin:$PATH 
cmake -DCMAKE_INSTALL_PREFIX=%{_datadir}/qtemu \
%if "%{_lib}" != "lib"
	-DLIB_SUFFIX=64 \
%endif
	../

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std -C objs

install -dm 755 $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT%{_datadir}/qtemu/bin/qtemu $RPM_BUILD_ROOT%{_bindir}
rmdir $RPM_BUILD_ROOT%{_datadir}/qtemu/bin

# install icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
install -m644 %{SOURCE10} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
install -m644 %{SOURCE11} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
install -m644 %{SOURCE12} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# install menu entries
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): \
 needs="x11" \
 section="More Applications/Emulators" \
 title="QtEmu" \
 longtitle="A graphical user interface for QEMU" \
 command="qtemu" \
 icon="%{name}.png"\
 xdg="true"
EOF

# Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
cat <<EOF > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Name=QtEmu
Comment=A graphical user interface for QEMU 
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Utility;X-MandrivaLinux-MoreApplications-Emulators;Emulator
EOF

%clean
rm -rf $RPM_BUILD_ROOT



%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_bindir}/qtemu
%dir %{_datadir}/qtemu/
%dir %{_datadir}/qtemu/help/
%lang(de) %{_datadir}/qtemu/help/de/
%{_datadir}/qtemu/help/*.htm
%{_datadir}/qtemu/help/*.png
%dir %{_datadir}/qtemu/translations/
%lang(de) %{_datadir}/qtemu/translations/qtemu_cz.qm
%lang(de) %{_datadir}/qtemu/translations/qtemu_de.qm
%lang(de) %{_datadir}/qtemu/translations/qtemu_es.qm
%lang(ru) %{_datadir}/qtemu/translations/qtemu_ru.qm
%lang(tr) %{_datadir}/qtemu/translations/qtemu_tr.qm
%{_datadir}/applications/%{name}.desktop
%{_menudir}/%{name}
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png


%changelog
* Sun Jun 24 2007 Texstar <texstar@gmail.com> 1.0.3-2pclos2007
- fix synaptic section

* Fri May 25 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.0.3-1
- 1.0.3

* Wed Feb 14 2007 ocilent1 <ocilent1 at gmail dot com> 1.0.2-1pclos2007
- Initial build for PCLinuxOS 2007
